
<!-- begin of generated class -->
<?php
/*
*
* -------------------------------------------------------
* CLASSNAME:        tbl_testimonial
* GENERATION DATE:  24.03.2017
* CLASS FILE:       D:\wamp\www\Classgenerator/generated_classes/class.tbl_testimonial.php
* FOR MYSQL TABLE:  tbl_testimonial
* FOR MYSQL DB:     poorna_pooja
* -------------------------------------------------------
* CODE GENERATED BY:
* MY PHP-MYSQL-CLASS GENERATOR
* from: >> www.voegeli.li >> (download for free!)
* -------------------------------------------------------
*
*/

include_once(MODEL_DIR_PATH."class.database.php");

// **********************
// CLASS DECLARATION
// **********************

class tbl_testimonial
{ // class : begin


// **********************
// ATTRIBUTE DECLARATION
// **********************



var $testimonial_id;   // (normal Attribute)
var $customer_name;   // (normal Attribute)
var $photo;   // (normal Attribute)
var $content;   // (normal Attribute)
var $is_deleted;   // (normal Attribute)
var $created_date;   // (normal Attribute)

var $database; // Instance of class database


// **********************
// CONSTRUCTOR METHOD
// **********************

function tbl_testimonial()
{

$this->database = new Database();

}


// **********************
// GETTER METHODS
// **********************


function gettestimonial_id()
{
return $this->testimonial_id;
}

function getcustomer_name()
{
return $this->customer_name;
}

function getphoto()
{
return $this->photo;
}

function getcontent()
{
return $this->content;
}

function getis_deleted()
{
return $this->is_deleted;
}

function getcreated_date()
{
return $this->created_date;
}

// **********************
// SETTER METHODS
// **********************


function settestimonial_id($val)
{
$this->testimonial_id =  $val;
}

function setcustomer_name($val)
{
$this->customer_name =  $val;
}

function setphoto($val)
{
$this->photo =  $val;
}

function setcontent($val)
{
$this->content =  $val;
}

function setis_deleted($val)
{
$this->is_deleted =  $val;
}

function setcreated_date($val)
{
$this->created_date =  $val;
}

// **********************
// SELECT METHOD / LOAD
// **********************

function select($id)
{

$sql =  "SELECT * FROM tbl_testimonial WHERE  testimonial_id= $id;";
$result =  $this->database->query($sql);
$result = $this->database->result;
$row = mysqli_fetch_object($result);


$this->testimonial_id = $row->testimonial_id;

$this->customer_name = $row->customer_name;

$this->photo = $row->photo;

$this->content = $row->content;

$this->is_deleted = $row->is_deleted;

$this->created_date = $row->created_date;

}

// **********************
// DELETE
// **********************

function delete($id)
{
$sql = "DELETE FROM tbl_testimonial WHERE  testimonial_id= $id;";
$result = $this->database->query($sql);

}

// **********************
// INSERT
// **********************

function insert()
{

$sql = "INSERT INTO tbl_testimonial ( customer_name,photo,content,is_deleted,created_date ) VALUES ( '$this->customer_name','$this->photo','$this->content','$this->is_deleted','$this->created_date' )";
$result = $this->database->query($sql);
return mysqli_insert_id($this->database->link);

}

// **********************
// UPDATE
// **********************

function update($id)
{



$sql = " UPDATE tbl_testimonial SET  customer_name = '$this->customer_name',photo = '$this->photo',content = '$this->content',is_deleted = '$this->is_deleted',created_date = '$this->created_date' WHERE  testimonial_id= $id ";

$result = $this->database->query($sql);



}

	// Select All Testimonial
	function selectAllTestimonial()
	{
		
		try
		{
			$sql =  "SELECT * FROM tbl_testimonial";
			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			if((!$result) || (mysqli_num_rows($result) == 0))
			{
				return array();
			}
			else
			{
			     
				for($count = 0; $row = mysqli_fetch_object($result); $count ++)
				{

				  $arr[$count] = new tbl_testimonial();
				  $arr[$count]->settestimonial_id($row->testimonial_id);
				  $arr[$count]->setcustomer_name($row->customer_name);
				  $arr[$count]->setphoto($row->photo);
				  $arr[$count]->setcontent($row->content );
				  $arr[$count]->setis_deleted($row->is_deleted);
				  $arr[$count]->setcreated_date($row->created_date);
				}
			
				return $arr;
			}
		}
		catch(Exception $e)
		{
			throw $e;
		}
	} 
	
	
} // class : end

?>
<!-- end of generated class -->
